summaryrefslogtreecommitdiff
path: root/binder/bindertest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'binder/bindertest.sh')
-rwxr-xr-xbinder/bindertest.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/binder/bindertest.sh b/binder/bindertest.sh
new file mode 100755
index 0000000..45e5553
--- /dev/null
+++ b/binder/bindertest.sh
@@ -0,0 +1,13 @@
+#!/system/bin/sh
+
+chmod 777 /data/nativebenchmark/binderAddInts
+if [ -z "$1" ]; then
+ /data/nativebenchmark/binderAddInts -n 10
+else
+ /data/nativebenchmark/binderAddInts -n $1
+fi
+if [ $? -eq 0 ]; then
+ echo "[bindertest]: test passed"
+else
+ echo "[bindertest]: test failed"
+fi